View Issue Details

IDProjectCategoryView StatusLast Update
0020643mantisbtplug-inspublic2016-06-12 00:42
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020643: Plugin API should throw error when trying to register invalid or non-existent class
Description

Currently the API fails silently

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 07c78be9

2015-02-25 11:39:39

dregad

Details Diff
Plugin API: throw error when class name is invalid

Fixes 0020643
mod - core/constant_inc.php Diff File
mod - core/plugin_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2016-02-28 05:56 dregad New Issue
2016-02-28 05:59 dregad Changeset attached => MantisBT master 07c78be9
2016-02-28 05:59 dregad Assigned To => dregad
2016-02-28 05:59 dregad Status new => resolved
2016-02-28 05:59 dregad Resolution open => fixed
2016-02-28 05:59 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed